Migrate `lcms` to `lcms2`. #25

Closed
flexiondotorg opened this Issue Sep 25, 2013 · 0 comments

Projects

None yet

1 participant

@flexiondotorg
Member

Hi,

As discussed for stafano-k and other on IRC. What follows is a summary of our conversation.

lcms was last released in 2009 and many projects have already adopted lcms2. lcms2 is available on the following:

  • Debian derivatives since Wheezy.
  • Ubuntu derivatives since Precise.
  • Fedora derivatives since FC18 and FCEL 5.
  • All OpenSUSE versions that MATE is built for.
  • Arch Linux.
  • Gentoo.
  • FreeBSD has had it for ~14 months.

Why is might be a good idea.

This following seems to indicate that it could be as simple as replacing lcms.h with lcms2.h.

"all what you need to do is to change the include file from lcms.h to lcms2.h and maybe to do some minor tweaks on your code."

I think that about covers it.

Regards, Martin.

@stefano-k stefano-k closed this in 94214db Sep 26, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment